Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000107 [cparser] firm graph generation major always 2013-07-18 19:29 2016-01-03 03:28
Reporter luzero View Status public  
Assigned To Matze
Priority normal Resolution fixed  
Status closed   Product Version
Summary 0000107: ast2firm.c:4345: panic in fold_expression: invalid expression kind for constant folding
Description Discovered while compiling Libav. Reduced case attached


Compiled as cparser -m32 -std=c99 -pthread -g -c -o out.o 003.c

Additional Information cparser 6b56dab
libfirm ba38d76
Tags No tags attached.
Attached Files c file icon 003.c [^] (285 bytes) 2013-07-18 19:29

- Relationships

-  Notes
(0000155)
Matze (administrator)
2013-07-19 14:40

Added to testsuite as C/constexpr8.c
fixed in cparser rev. a859132dbf2dfeb081bbfb03e4a701379703d173

- Issue History
Date Modified Username Field Change
2013-07-18 19:29 luzero New Issue
2013-07-18 19:29 luzero File Added: 003.c
2013-07-19 14:40 Matze Note Added: 0000155
2013-07-19 14:40 Matze Assigned To => Matze
2013-07-19 14:40 Matze Status new => resolved
2013-07-19 14:40 Matze Resolution open => fixed
2016-01-03 03:28 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker